@import '../../BasicStyle/mixins';

.AuthForm {
  width: 30%;
  margin: auto;

  &-title {
    text-align: center;
    font-size: 1.3em;
    line-height: 1.4em;
  }

  &-form {
    padding: 10px 0;
    display: flex;
    flex-flow: column wrap;
    align-content: center;
    text-align: center;

    & > div {
      position: relative;

      .error {
        position: absolute;
        bottom: 13px;
        right: 20px;
        color: #d41206;
      }
    }

    .remember-check {
      display: flex;
      align-items: center;
      justify-content: center;

      input {
        display: none;
      }

      label {
        position: relative;

        .md-icon {
          position: absolute;
          right: -29px;
          top: -2px;
          z-index: 10;
          font-size: 17px!important;
        }

        &:after {
          display: block;
          position: absolute;
          right: -25px;
          top: 1px;
          width: 17px;
          height: 17px;
          background: #fff;
          border: 1px solid #2f2f2f;
          -webkit-border-radius: 2px;
          -moz-border-radius: 2px;
          border-radius: 2px;
          content: '';
        }
      }
    }

    input {
      outline: none;
      text-align: center;

      &[type=text],
      &[type=password] {
        width: 100%;
        margin-bottom: 10px;
        height: 30px;
        border-radius: 2px;
        border: 1px solid #00000026;
        box-shadow: 0 0 2px #00000059;

        @include light-transition(all, .3s);

        &.error-input {
          box-shadow: 0 0 2px #ff00008c;
        }
      }
    }

    button {
      outline: none;
      cursor: pointer;
      height: 30px;
      width: 100px;
      margin: 10px auto 0;
      border: none;
      border-radius: 2px;
      font-size: 17px;
      font-weight: 600;
      background: #2f2f2f;
      color: #fff;
    }
  }

  .fade-enter-active, .fade-leave-active {
    transition: opacity .3s;
  }
  .fade-enter, .fade-leave-to {
    opacity: 0;
  }
}
